db4o |

# Configuration.AutomaticShutDown Method

turns automatic shutdown of the engine on and off.

void AutomaticShutDown(
bool flag
);

#### Parameters

flag
  whether db4o should shut down automatically.

#### Remarks

turns automatic shutdown of the engine on and off.
Depending on the JDK, db4o uses one of the following two methods to shut down, if no more references to the ObjectContainer are being held or the JVM terminates:
- JDK 1.3 and above:

    Runtime.addShutdownHook()

- JDK 1.2 and below:

    System.runFinalizersOnExit(true)

and code in the finalizer.
Some JVMs have severe problems with both methods. For these rare cases the autoShutDown feature may be turned off.
The default and recommended setting is

    true

.

#### See Also

Configuration Interface | com.db4o.config Namespace